<CsoundSynthesizer>

<CsOptions>

;-odac

-o D:/Fordypning/Kode/Prototype/csd/test1.wav -W

</CsOptions>

<CsInstruments>



sr     = 44100

ksmps  = 32

nchnls = 1

0dbfs  = 1



opcode	Chorus,a,akk

	ain,krate,kdepth xin					;READ IN INPUT ARGUMENTS

	krate	expcurve	krate,20					;CREATE AN EXPONENTIAL REMAPPING OF krate

	krate	scale	krate,7,0.001						;RESCALE VALUE

	ilfoshape	ftgentmp	0, 0, 131072, 19, 1, 0.5, 0,  0.5	;POSITIVE DOMAIN ONLY SINE WAVE	

	kporttime	linseg	0,0.001,0.02					;RAMPING UP PORTAMENTO VARIABLE

	kChoDepth	portk	kdepth*0.01, kporttime				;SMOOTH VARIABLE CHANGES WITH PORTK

	aChoDepth	interp	kChoDepth					;INTERPOLATE TO CREATE A-RATE VERSION OF K-RATE VARIABLE

	amod 		osciliktp 	krate, ilfoshape, 0			;LFO

	amod		=		(amod*aChoDepth)+.01			;RESCALE AND OFFSET LFO

	aCho		vdelay	ain, amod*1000, 1.2*1000			;CREATE VARYING DELAYED / CHORUSED SIGNAL 

	aout		sum 	aCho*0.6, ain*0.6                 		;MIX DRY AND WET SIGNAL 

			xout	aout				;SEND AUDIO BACK TO CALLER INSTRUMENT

endop



instr 1



;krate init 0.0

;kdepth init 0.0

;Sfile = "acoustic.wav"



krate chnget "chorusRate"

kdepth chnget "chorusDepth"

Sfile chnget "filename"



asnd	diskin2	Sfile,    1,       0,         1



aout	Chorus	asnd, krate, kdepth

	out	aout



endin

</CsInstruments>

<CsScore>

i 1 0 1.1

e



</CsScore>

</CsoundSynthesizer><bsbPanel>

 <label>Widgets</label>

 <objectName/>

 <x>72</x>

 <y>179</y>

 <width>400</width>

 <height>200</height>

 <visible>true</visible>

 <uuid/>

 <bgcolor mode="nobackground">

  <r>231</r>

  <g>46</g>

  <b>255</b>

 </bgcolor>

 <bsbObject version="2" type="BSBVSlider">

  <objectName>slider1</objectName>

  <x>5</x>

  <y>5</y>

  <width>20</width>

  <height>100</height>

  <uuid>{3621bdbd-9ed0-4652-87ee-4bf78996793c}</uuid>

  <visible>true</visible>

  <midichan>0</midichan>

  <midicc>-3</midicc>

  <minimum>0.00000000</minimum>

  <maximum>1.00000000</maximum>

  <value>0.00000000</value>

  <mode>lin</mode>

  <mouseControl act="jump">continuous</mouseControl>

  <resolution>-1.00000000</resolution>

  <randomizable group="0">false</randomizable>

 </bsbObject>

</bsbPanel>

<bsbPresets>

</bsbPresets>

<MacOptions>

Version: 3

Render: Real

Ask: Yes

Functions: ioObject

Listing: Window

WindowBounds: 72 179 400 200

CurrentView: io

IOViewEdit: On

Options:

</MacOptions>



<MacGUI>

ioView nobackground {59367, 11822, 65535}

ioSlider {5, 5} {20, 100} 0.000000 1.000000 0.000000 slider1

</MacGUI>

